curl -X GET https://api.sitespeak.ai/v1/{chatbot_id}/sources \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
const response = await fetch('https://api.sitespeak.ai/v1/{chatbot_id}/sources', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN'
}
});
const data = await response.json();
console.log(data);
Sources
Retrieve Sources
Returns the sources for the chatbot with their training statuses
GET
/
v1
/
{chatbot_id}
/
sources
curl -X GET https://api.sitespeak.ai/v1/{chatbot_id}/sources \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
const response = await fetch('https://api.sitespeak.ai/v1/{chatbot_id}/sources', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN'
}
});
const data = await response.json();
console.log(data);
Path Parameters
| Name | Type | Description |
|---|---|---|
| chatbot_id* | String | The ID of your chatbot. You can find the ID on the settings page for your chatbot. |
Headers
| Name | Type | Description |
|---|---|---|
| Accept* | String | application/json |
| Authorization* | String | Bearer |
curl -X GET https://api.sitespeak.ai/v1/{chatbot_id}/sources \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
const response = await fetch('https://api.sitespeak.ai/v1/{chatbot_id}/sources', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN'
}
});
const data = await response.json();
console.log(data);
Response
- 200 Success
- 401 Permission denied
[
{
"id": "02da82a3-8aad-49d3-b89c-89fb987842ed",
"chatbot_id": "4affd4da-5f84-42b3-a6b2-b83834a616bb",
"type": "website",
"indexer": "sitespeakai",
"indexer_id": null,
"url": "https://sitespeak.ai/blog/gpt-3-5-turbo-fine-tuning-custom-model-training",
"path": null,
"title": "SiteSpeakAI - Custom model training and fine-tuning for GPT-3.5 Turbo",
"status": "trained",
"sync_frequency": "no",
"trained_at": "2023-10-18T10:00:15.000000Z",
"created_at": "2023-10-12T11:04:32.000000Z",
"updated_at": "2023-10-18T10:00:15.000000Z",
"deleted_at": null
}
]
Returns when the API token is invalid or missing.
Last modified on January 21, 2026
⌘I